#!/bin/bash

CURRENTD=$(dirname "$0")  	# looking at the current location of this file
CURRENTDIR=$CURRENTD"/"		# add a slash at the end of the located path for upcoming operations

if [ "$CURRENTD" == "." ];then	# looking if it was navigated into the dir of this file
CURRENTDIR=""			# current directory changes fron "." to ""
fi

# local kde4-folder
LOCALPREFIX=`kde4-config --localprefix`

# local installation

cd "$LOCALPREFIX"/share/kde4/services/ServiceMenus		# change to servicemenu-dir

# remove *.desktop-files from local ServiceMenu dir
rm -f stampdate.desktop  stampDate.sh
cd "$HOME"/bin
rm -f stampDate.sh

echo "Uninstall done!"	# message for successful uninstallation
kdialog --title "Stamp 1.0" --msgbox "Stampdate was successfully removed!"

